# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		akarixb
Version:	0.9
Release:	alt1_1
Summary:	A Jabber/XMPP bot based on Qt and QXMPP
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		https://jancoding.wordpress.com/akarixb/
Source0:	http://download.savannah.gnu.org/releases/akarixb/%{name}-v%{version}.tar.gz
BuildRequires:	qt5-designer qt5-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qxmpp)
Source44: import.info

%description
AkariXB is a Jabber/XMPP bot with a graphical interface.
It can also act as a basic XMPP client.

You can make it join MUC rooms and answer to custom commands, which can be a
static reply, a random reply from a list, a random line from a text file, the
output of a program, a keyword-based reply, etc.

%prep
%setup -q -n %{name}-v%{version}


%build
%qmake_qt5

%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README TODO
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/metainfo/*%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 0.9-alt1_1
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 0.8-alt1_7
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_6
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_5
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_3
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_1
- new version

